import Config from '@ioc:Adonis/Core/Config';
import { BullMQBaseClass } from '@ioc:Adonis/Addons/BullMQ';
import { ConnectionOptions, Processor, Worker as BullWorker, Queue as BullQueue, QueueEvents as BullQueueEvents } from 'bullmq';
export declare class BullMQClass extends BullMQBaseClass {
    config: typeof Config;
    connection: ConnectionOptions;
    constructor(config: typeof Config);
    queue<T, R>(name: string): BullQueue<T, R, string>;
    worker<T, R, N extends string = string>(name: string, callback: string | Processor<T, R, N>): BullWorker<T, R, N>;
    events(name: string): BullQueueEvents;
}
