"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BullMQClass = void 0;
const BullMQ_1 = require("@ioc:Adonis/Addons/BullMQ");
const bullmq_1 = require("bullmq");
class BullMQClass extends BullMQ_1.BullMQBaseClass {
    constructor(config) {
        super(config);
        this.config = config;
        this.connection = this.config.get('bullmq');
    }
    queue(name) {
        return new bullmq_1.Queue(name, { connection: this.connection });
    }
    worker(name, callback) {
        return new bullmq_1.Worker(name, callback, { connection: this.connection });
    }
    events(name) {
        return new bullmq_1.QueueEvents(name, { connection: this.connection });
    }
}
exports.BullMQClass = BullMQClass;
